Subject: bug#54656: 29.0.50; [menu] key is not read anymore

From: [email-masked]
Date: Fri, 22 Apr 2022 15:57:08 +0200

Hi,

Po Lu <[email-masked]> writes:

> [email-masked] writes:
>
>>> I guess what you have to do is to step through each statement until you
>>> find out why it isn't reaching this piece of handle_one_xevent:
>>
>> It seems the key is ... initialized to 0 ?
>>
>> (gdb) p xkey
>> $13 = {type = 0, serial = 0, send_event = 1466608144,
>>   display = 0x898f22a9e227e100, window = 140737488343872, root =
>> 93824994679155,
>>   subwindow = 0, time = 93824993826130, x = 2, y = 0, x_root = 0, y_root = 0,
>>   state = 0, keycode = 0, same_screen = 0}
>
> I think your Emacs is out of date, since this shouldn't be possible if
> the breakpoint was set to the location I asked.

You asked me to find out why this position was not reachable, so I set
breakpoints ahead... Again, setting at the position asked does not trigger.

I have rebuilt today. I have still at some point :

(gdb) n
0x00007ffff760623f in ?? () from /lib/x86_64-linux-gnu/libgdk-3.so.0
(gdb) n
Cannot find bounds of current function.

...

Setting it to

      if (f != 0)
        {
==>       KeySym keysym, orig_keysym;
          /* [email-masked] says that making this 81
             instead of 80 fixed a bug whereby meta chars made
             his Emacs hang.

(gdb) p keysym
$1 = 4596353178100193889

(gdb) p orig_keysym
$2 = <optimized out>

(gdb) p xkey
$6 = {type = 2, serial = 2027, send_event = 0, display = 0x0, window = 0,
  root = 0, subwindow = 2, time = 9223372036854775822, x = 0, y = 0, x_root = 0,
  y_root = 0, state = 0, keycode = 0, same_screen = 0}

Eventually you may try to reproduce that issue with
$ xdotool key Menu
?

Thanks